- Deposit and withdrawal records are kept for 3 months.
- Time span limit: (end_time - start_time) < 30 days (2,592,000 s).
- This service supports transfer wallet members only.
Path
Headers
| Field | Type | Required | Description |
|---|---|---|---|
Authorization | string | Yes | Token we provide |
Request parameters
| Field | Type | Required | Signed | Description |
|---|---|---|---|---|
channelId | number | Yes | ✓ | Channel ID (use 1 if you have no channels) |
account | string | Yes | ✓ | Member account (allowed characters: a-z A-Z 0-9 _-) |
startTime | string | Yes | ✓ | Search start time (see Time format) |
endTime | string | Yes | ✓ | Search end time (see Time format) |
sign | string | Yes | Signature. See Signature for how to generate it |
Response
Success (the HTTP status code is always 200; checkstatus.code for the result)
| Field | Type | Description |
|---|---|---|
data | object | |
data.transactionList | object[] | Member transfer records |
data.transactionList[].transactionId | string | Transaction ID |
data.transactionList[].status | boolean | Transaction status (true: normal, false: abnormal) |
data.transactionList[].channelId | number | Channel ID |
data.transactionList[].account | string | Member account |
data.transactionList[].currency | string | Currency (contact our business team) |
data.transactionList[].amount | number | Transfer amount |
data.transactionList[].balanceBefore | number | Wallet balance before the transfer |
data.transactionList[].balanceAfter | number | Wallet balance after the transfer |
data.transactionList[].time | string | Transfer time (see Time format) |
status | object | Response status. See Response format |
